//+------------------------------------------------------------------+
//|                                                    checkDiff.mq4 |
//|                                                            calli |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "calli"
#property link      ""

#property indicator_separate_window

#property indicator_buffers 3

#property indicator_color1 Navy
#property indicator_style1 STYLE_SOLID
#property indicator_width1 1

#property indicator_color2 DodgerBlue
#property indicator_style2 STYLE_DASH
#property indicator_width2 1

#property indicator_color3 Aqua
#property indicator_style3 STYLE_DOT
#property indicator_width3 1

extern int noBars = 100;


double diJaws[];
double diTeeth[];
double diLips[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

	IndicatorDigits( Digits );

    SetIndexBuffer(0, diJaws);
    SetIndexLabel(0, "Diff.Jaws");

    SetIndexBuffer(1, diTeeth);
    SetIndexLabel(1, "Diff.Teeth");

    SetIndexBuffer(2, diLips);
    SetIndexLabel(2, "Diff.Lips");
    
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {

	int jaw_period=20, jaw_shift=8, teeth_period=8, teeth_shift=5, lips_period=5, lips_shift=3, ma_method=MODE_SMMA, applied_price=PRICE_MEDIAN;

   int i,counted_bars=IndicatorCounted();
//----
   if( Bars<=(jaw_period+teeth_period+lips_period)) return(0);
//---- initial zero
//----
   i=MathMin( noBars, Bars-counted_bars );
   while(i>=0) { 
   	i--;
		diJaws[i]  = (iCustom(NULL,0, "Alligator", 0,i)  - 
						  iCustom(NULL,0, "Alligator",jaw_period, jaw_shift, teeth_period, teeth_shift, lips_period, lips_shift, ma_method, applied_price,   0,i))/Point;
		diTeeth[i] = (iCustom(NULL,0, "Alligator", 1,i)  - 
						  iCustom(NULL,0, "Alligator",jaw_period, jaw_shift, teeth_period, teeth_shift, lips_period, lips_shift, ma_method, applied_price,   1,i))/Point;
		diLips[i]  = (iCustom(NULL,0, "Alligator", 2,i)  - 
						  iCustom(NULL,0, "Alligator",jaw_period, jaw_shift, teeth_period, teeth_shift, lips_period, lips_shift, ma_method, applied_price,   2,i))/Point;

	}
   
//----
   return(0);
}
//+------------------------------------------------------------------+